Holger's Java API

## com.antelmann.util.gui
Class DesktopAdapter

    java.lang.Object
      javax.swing.event.InternalFrameAdapter
          com.antelmann.util.gui.DesktopAdapter

All Implemented Interfaces:
  ComponentListener, EventListener, InternalFrameListener

    @Todo
    public class DesktopAdapter

extends InternalFrameAdapter
implements ComponentListener

adding this as a ComponentListener and InternalFrameListener to a JInternalFrame within a desktop will properly adjust the size of the desktop on relevant events. The effect will show when the desktop is embedded in a JScrollPane.

Since:
  5. Februar 2008, 01:13
Author:
  Holger Antelmann

Constructor Summary
`DesktopAdapter(JDesktopPane desktop)` uses the currently preferred size to determine minWidth and minHeight
`DesktopAdapter(JDesktopPane desktop, int minWidth, int minHeight)`

Method Summary
`void` `componentHidden(ComponentEvent e)`
`void` `componentMoved(ComponentEvent e)`
`void` `componentResized(ComponentEvent e)`
`void` `componentShown(ComponentEvent e)`
`void` `internalFrameClosed(InternalFrameEvent e)`
`protected void` `resizeDesktop()`

Methods inherited from class javax.swing.event.InternalFrameAdapter
`internalFrameActivated, internalFrameClosing, internalFrameDeactivated, internalFrameDeiconified, internalFrameIconified, internalFrameOpened`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DesktopAdapter

    public DesktopAdapter(JDesktopPane desktop)

  uses the currently preferred size to determine minWidth and minHeight

### DesktopAdapter

    public DesktopAdapter(JDesktopPane desktop,
                          int minWidth,
                          int minHeight)

Method Detail

### resizeDesktop

    protected void resizeDesktop()

### componentMoved

    public void componentMoved(ComponentEvent e)

  Specified by:
    `componentMoved` in interface `ComponentListener`

### componentResized

    public void componentResized(ComponentEvent e)

  Specified by:
    `componentResized` in interface `ComponentListener`

### componentShown

    public void componentShown(ComponentEvent e)

  Specified by:
    `componentShown` in interface `ComponentListener`

### componentHidden

    public void componentHidden(ComponentEvent e)

  Specified by:
    `componentHidden` in interface `ComponentListener`

### internalFrameClosed

    public void internalFrameClosed(InternalFrameEvent e)

  Specified by:
    `internalFrameClosed` in interface `InternalFrameListener`
  Overrides:
    `internalFrameClosed` in class `InternalFrameAdapter`

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads